Page MenuHomePhabricator

elm/genlist: unset callbacks flag when destroying view object in unrealize
ClosedPublic

Authored by zmike on Aug 14 2018, 2:00 PM.

Details

Summary

failing to unset this prevents callbacks from being re-added when the item
is next realized, resulting in items which cannot be interacted with

ref T7292

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Aug 14 2018, 2:00 PM
zmike requested review of this revision.Aug 14 2018, 2:00 PM
SanghyeonLee accepted this revision.Aug 20 2018, 9:28 PM

the inner 'if' statement is the case item is not cached and directly delete view of item, so I think we might be call item_mouse_callback_del before initialize it->callbacks ....
or... those callback will be automatically removed by efl_del so you don't call them in there?

This revision is now accepted and ready to land.Aug 20 2018, 9:28 PM
zmike added a comment.Aug 21 2018, 6:24 AM

the inner 'if' statement is the case item is not cached and directly delete view of item, so I think we might be call item_mouse_callback_del before initialize it->callbacks ....
or... those callback will be automatically removed by efl_del so you don't call them in there?

Destroying the view will remove the callbacks.

This revision was automatically updated to reflect the committed changes.